Package com.logicaldoc.core.runtime

# Enum Class Aspect

java.lang.Object
java.lang.Enum<Aspect>
com.logicaldoc.core.runtime.Aspect

All Implemented Interfaces:
  `Serializable`, `Comparable<Aspect>`, `Constable`

public enum Aspect extends Enum<Aspect>
Enumeration of relevant aspects

Since:
  9.2.2
Author:
  Marco Meschieri - LogicalDOC

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AI`
`ANTIVIRUS`
`AUTOFILL`
`AUTOFOLDING`
`AUTOMATION`
`AUTONAMING`
`AUTOREVISIONING`
`CUSTOMID`
`EVENTSGATHERING`
`FORMPROCESSING`
`INITIALIZATION`
`SAVEAPICALL`
`SAVEHISTORY`
`SCHEDULEDTASKS`
`SENDINGMESSAGES`
`STORING`
`UNIQUENESSFILENAME`
`VALIDATION`
`WORKFLOW`
`WORKSPACEQUOTACHECK`
`WRITECHECK`

## Method Summary

Modifier and Type
Method
Description
`static Aspect`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Aspect[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### AI

public static final Aspect AI

### STORING

public static final Aspect STORING

### SENDINGMESSAGES

public static final Aspect SENDINGMESSAGES

### EVENTSGATHERING

public static final Aspect EVENTSGATHERING

### SAVEHISTORY

public static final Aspect SAVEHISTORY

### INITIALIZATION

public static final Aspect INITIALIZATION

### VALIDATION

public static final Aspect VALIDATION

### CUSTOMID

public static final Aspect CUSTOMID

### UNIQUENESSFILENAME

public static final Aspect UNIQUENESSFILENAME

### WRITECHECK

public static final Aspect WRITECHECK

### SCHEDULEDTASKS

public static final Aspect SCHEDULEDTASKS

### AUTOMATION

public static final Aspect AUTOMATION

### ANTIVIRUS

public static final Aspect ANTIVIRUS

### WORKSPACEQUOTACHECK

public static final Aspect WORKSPACEQUOTACHECK

### FORMPROCESSING

public static final Aspect FORMPROCESSING

### AUTONAMING

public static final Aspect AUTONAMING

### AUTOFOLDING

public static final Aspect AUTOFOLDING

### AUTOREVISIONING

public static final Aspect AUTOREVISIONING

### SAVEAPICALL

public static final Aspect SAVEAPICALL

### WORKFLOW

public static final Aspect WORKFLOW

### AUTOFILL

public static final Aspect AUTOFILL

## Method Details

### values

public static Aspect[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Aspect valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null